#!/bin/sh
################################
#####  Persian HD Project  #####
#######  Persian Prince  #######
##  https://persianpros.com  ###
################################

DATE=`date +"%Y-%m-%d"`

echo $LINE 
echo Backup Plugins - USB - For Persian Palace
echo Please Wait
echo $LINE

cd /media/usb
mkdir -p backup > /dev/null 2>&1
cd
LIST=$(opkg list | grep enigma2-plugin- | cut -d" " -f1)
echo $LIST >> /media/usb/backup/plugins-$DATE.list
cd /media/usb/backup
chmod 644 plugins-$DATE.list > /dev/null 2>&1
cd
tar -czvf pluginsbackup.tar.gz --exclude='*.py' /usr/lib/enigma2/python/Plugins/Extensions /usr/lib/enigma2/python/Plugins/SystemPlugins > /dev/null 2>&1
mv -f pluginsbackup.tar.gz /media/usb/backup > /dev/null 2>&1
cd /media/usb/backup
chmod 644 pluginsbackup.tar.gz > /dev/null 2>&1
cd

echo $LINE
echo Done !
echo Script By Persian Prince
echo $LINE

exit 0