#!/bin/sh
################################
#####  Persian HD Project  #####
#######  Persian Prince  #######
##  https://persianpros.com  ###
################################

echo $LINE 
echo Change Font DejaVuSans-Bold.ttf For Persian Palace - 77 Fonts
echo Please Wait
echo $LINE

echo "Creating Backup Files"
echo "skin.xml.backup & skin_default.xml.backup"
echo "You Can Restore Your Skins With /usr/script/RestoreSkinXML.sh"
echo ""

find /usr/share/enigma2/ -name skin.xml -exec cp -f {} {}.backup \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin_default.xml -exec cp -f {} {}.backup \; > /dev/null 2>&1

echo "Changing Fonts"
echo ""

find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/DejaVuSans.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/ae_AlMateen.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/lcd.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/md_khmurabi_10.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/nmsbd.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/tuxtxt.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/bermooda.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/army-digital.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/Army_Regular_L.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/goodtime.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/nmsbd2.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/nmsbd3.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/pakenham.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/prive3.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/andale.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/ds_digital.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/nmsbdg14.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/prive.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/tpb.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/valis_enigma.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/lcd_digital.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/fer-tuxtxt.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/fer-tpb.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/fer-nmsbd.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/fer-lcd.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/fer-goodtime.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/fer-ds_digital.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/fer-ae_AlMateen.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/caps.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/cvs.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/lcd2.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/hd.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/hdi.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/HandelGotD.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/HandelGotDBol.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/ae_sindibad.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/HandelGotDBolMod.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/nmsbd_3d.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/micron_bold.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/Army_Bold_G.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/ArenaCdBd.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/dot.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/FreeSans.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/NEUROPOL.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/seg.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/seg_internat.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/Symbols.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/Tuffy.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/valis_lcd.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/DejaVuSans-BoldOblique.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/DejaVuSans-Oblique.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/DejaVuSansMono-Bold.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/DejaVuSansMono-BoldOblique.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/DejaVuSansMono-Oblique.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/DejaVuSansMono.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/DejaVuSerif-Bold.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/DejaVuSerif-BoldOblique.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/DejaVuSerif-Oblique.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/DejaVuSerif.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/Vera.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/VeraBd.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/VeraBI.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/VeraIt.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/VeraMoBd.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/VeraMoBI.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/VeraMoIt.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/VeraMono.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/VeraSe.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/VeraSeBd.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/redigit.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/cool.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/bahamas.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/aaf.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/default.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/kathi.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin.xml -type f -exec sed -i 's/backup-default.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin_default.xml -type f -exec sed -i 's/nmsbd.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
find /usr/share/enigma2/ -name skin_default.xml -type f -exec sed -i 's/DejaVuSans.ttf/DejaVuSans-Bold.ttf/g' {} \; > /dev/null 2>&1
killall -9 enigma2 > /dev/null 2>&1

echo $LINE
echo Done , Your Receiver Is Being Restarted !
echo Script By Persian Prince
echo $LINE

exit 0