#!/bin/sh
################################
#####  Persian HD Project  #####
#######  Persian Prince  #######
##  https://persianpros.com  ###
################################

echo $LINE 
echo Persian Language For Persian Palace
echo Please Wait
echo $LINE 

cd /usr/share/enigma2/po
mkdir -p fa > /dev/null 2>&1
cd
cd /usr/share/enigma2/po/fa
mkdir -p LC_MESSAGES > /dev/null 2>&1
cd

echo "Making Backup Of Language Files"
echo ""

cd /usr/lib/enigma2/python/Components
tar -czvf languagebackup.tar.gz Language.py language_cache.py > /dev/null 2>&1
cd

echo "Downloading Latest Persian Language Translated By Persian Prince From https://PersianPros.com"
echo ""

wget --no-check-certificate https://persianpros.com/PHDP/PersianPalace/Upload/persian-language.zip -O /tmp/persian-language.zip > /dev/null 2>&1

echo "Installing Language Files"
echo ""

cd /tmp
unzip -o /tmp/persian-language.zip -d /tmp > /dev/null 2>&1
rm -rf persian-language.zip > /dev/null 2>&1
mv -f enigma2.mo /usr/share/enigma2/po/fa/LC_MESSAGES > /dev/null 2>&1
mv -f ir.png /usr/share/enigma2/countries > /dev/null 2>&1
mv -f Language.py /usr/lib/enigma2/python/Components > /dev/null 2>&1
mv -f language_cache.py /usr/lib/enigma2/python/Components > /dev/null 2>&1
rm -rf * > /dev/null 2>&1
cd
cd /usr/lib/enigma2/python/Components
rm -rf Language.pyo > /dev/null 2>&1
rm -rf language_cache.pyo > /dev/null 2>&1
chmod 644 Language.py > /dev/null 2>&1
chmod 644 language_cache.py > /dev/null 2>&1
cd
chmod 644 /usr/share/enigma2/po/fa/LC_MESSAGES/enigma2.mo > /dev/null 2>&1
chmod 644 /usr/share/enigma2/countries/ir.png > /dev/null 2>&1
reboot > /dev/null 2>&1

echo $LINE
echo Done , Your Receiver Is Being Rebooted !
echo Script By Persian Prince
echo $LINE

exit 0
