#!/bin/sh
################################
#####  Persian HD Project  #####
#######  Persian Prince  #######
##  https://persianpros.com  ###
################################

DATE=`date +"%Y-%m-%d"`

echo $LINE 
echo Backup Skins-Picons - USB - For Persian Palace
echo Skins = /usr/share/enigma2
echo Picons = /usr/share/enigma2/picon
echo Please Wait
echo $LINE

cd /media/usb
mkdir -p backup > /dev/null 2>&1
cd
LIST=$(opkg list | grep enigma2-skin- | cut -d" " -f1)
echo $LIST >> /media/usb/backup/skins-$DATE.list
cd /media/usb/backup
chmod 644 skins-$DATE.list > /dev/null 2>&1
cd
mkdir -p /usr/share/enigma2/picon > /dev/null 2>&1
tar -czvf skinspiconsbackup.tar.gz --exclude='*.mvi' --exclude='*.conf' --exclude='*.mo' --exclude='*.info' --exclude='*.tv' --exclude='*.t' --exclude='*.c' --exclude='*.500hd' --exclude='*.7020hd' --exclude='*.800' --exclude='*.8000' --exclude='*.800se' --exclude='*.7025' --exclude='*.130' --exclude='*.192' --exclude='*.282' /usr/share/enigma2 > /dev/null 2>&1
mv -f skinspiconsbackup.tar.gz /media/usb/backup > /dev/null 2>&1
cd /media/usb/backup
chmod 644 skinspiconsbackup.tar.gz > /dev/null 2>&1
cd

echo $LINE
echo Done !
echo Script By Persian Prince
echo $LINE

exit 0